
find_package(LibXml2 REQUIRED)

IF (FRAMEWORK_USE_RT)
  find_package(Xenomai REQUIRED)
ENDIF (FRAMEWORK_USE_RT)

SET(FRAMEWORK_INCLUDE_DIR	
        ${LIBXML2_INCLUDE_DIR}
	$ENV{IGEP_ROOT}/uav_dev/include/udt	
	$ENV{IGEP_ROOT}/uav_dev/include/opencv
	$ENV{IGEP_ROOT}/uav_dev/include/framework
        ${XENOMAI_INCLUDE_DIR}
)

SET(FRAMEWORK_LIBRARIES	
        ${LIBXML2_LIBRARIES}
        ${XENOMAI_LIBRARIES}
	udt pthread dspcv_gpp cv cxcore highgui FileLib
)

#VRPN for Optitrack
IF (FRAMEWORK_USE_OPTITRACK)
	SET(FRAMEWORK_LIBRARIES vrpn ${FRAMEWORK_LIBRARIES})
ENDIF (FRAMEWORK_USE_OPTITRACK)

#nmea for GPS
IF (FRAMEWORK_USE_GPS)
	SET(FRAMEWORK_LIBRARIES nmea ${FRAMEWORK_LIBRARIES})
ENDIF (FRAMEWORK_USE_GPS)

#framework rt or nrt
IF (FRAMEWORK_USE_RT)
	SET(FRAMEWORK_LIBRARIES framework_rt ${FRAMEWORK_LIBRARIES})
ELSE (FRAMEWORK_USE_RT)
	SET(FRAMEWORK_LIBRARIES framework_nrt ${FRAMEWORK_LIBRARIES})
ENDIF (FRAMEWORK_USE_RT)

#filter lib
IF (FRAMEWORK_USE_FILTER)
	SET(FRAMEWORK_INCLUDE_DIR ${FRAMEWORK_INCLUDE_DIR} $ENV{IGEP_ROOT}/uav_dev/include/Filter)
	SET(FRAMEWORK_LIBRARIES Filter iir ${FRAMEWORK_LIBRARIES})
ENDIF (FRAMEWORK_USE_FILTER)

#sensor and actuator lib
IF (FRAMEWORK_USE_SENSOR_ACTUATOR)
	SET(FRAMEWORK_INCLUDE_DIR ${FRAMEWORK_INCLUDE_DIR} $ENV{IGEP_ROOT}/uav_dev/include/SensorActuator)
	SET(FRAMEWORK_LIBRARIES SensorActuator ${FRAMEWORK_LIBRARIES})
ENDIF (FRAMEWORK_USE_SENSOR_ACTUATOR)

#simulator lib
IF (FRAMEWORK_USE_SIMULATOR)
	SET(FRAMEWORK_INCLUDE_DIR ${FRAMEWORK_INCLUDE_DIR}
		$ENV{IGEP_ROOT}/uav_dev/include/simulateur
		$ENV{IGEP_ROOT}/uav_dev/include/rtdm
		$ENV{IGEP_ROOT}/uav_dev/include/vrpn)
	if(NOT "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "arm")
		ADD_DEFINITIONS("-DGL")
		SET(FRAMEWORK_INCLUDE_DIR ${FRAMEWORK_INCLUDE_DIR} $ENV{IGEP_ROOT}/uav_dev/include/irrlicht)
		SET(FRAMEWORK_LIBRARIES simulateur GL vrpn ${FRAMEWORK_LIBRARIES} Irrlicht)
	else()
		SET(FRAMEWORK_LIBRARIES simulateur vrpn ${FRAMEWORK_LIBRARIES})
	endif()
ENDIF (FRAMEWORK_USE_SIMULATOR)
